Bug 851776 - [abrt] hedgewars-0.9.17-3.fc17: Process /usr/bin/hedgewars was killed by signal 11 (SIGSEGV)
[abrt] hedgewars-0.9.17-3.fc17: Process /usr/bin/hedgewars was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hedgewars (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
abrt_hash:11a7a7b8ced0562b8ce8aa01abc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 12:32 EDT by linuxero789
Modified: 2013-07-31 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.33 KB, text/plain)
2012-08-25 12:33 EDT, linuxero789
no flags Details
File: maps (55.77 KB, text/plain)
2012-08-25 12:33 EDT, linuxero789
no flags Details
File: dso_list (11.91 KB, text/plain)
2012-08-25 12:33 EDT, linuxero789
no flags Details
File: build_ids (5.25 KB, text/plain)
2012-08-25 12:33 EDT, linuxero789
no flags Details

  None (edit)
Description linuxero789 2012-08-25 12:32:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/bin/hedgewars
crash_function: QObject::disconnect(QObject const*, char const*, QObject const*, char const*)
executable:     /usr/bin/hedgewars
kernel:         3.5.2-3.fc17.x86_64
pid:            1780
pwd:            /home/elkin/Documents
remote_result:  NOTFOUND
time:           Sat 25 Aug 2012 11:18:44 AM COT
uid:            1000
username:       helq

backtrace:      Text file, 20816 bytes
build_ids:      Text file, 5371 bytes
dso_list:       Text file, 12193 bytes
maps:           Text file, 57104 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/helq/1

core_backtrace:
:- 0x0 - - -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x18c4d1 QObject::disconnect(QObject libQtCore.so.4 -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0x918d5 HWMapContainer::askForGeneratedPreview() [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0x934b8 HWMapContainer::updatePreview() [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0xbe691 GameCFGWidget::setParam(QString [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0xfd630 - [exe] -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0xf55f8 HWNewNet::paramChanged(QString [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0x5fce0 HWNewNet::ParseCmd(QStringList [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0x60252 HWNewNet::ClientRead() [exe] -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0xf4a15 - [exe] -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:d1b274aad30d6d550961414613f5da4a0de7ab14 0xc171c - libQtNetwork.so.4 -
:d1b274aad30d6d550961414613f5da4a0de7ab14 0xca18d - libQtNetwork.so.4 -
:9e9a3cee27af30655e1a88d97edad65759113eb9 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:9e9a3cee27af30655e1a88d97edad65759113eb9 0x1ce7fa QApplication::notify(QObject*, libQtGui.so.4 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x1a3cf8 - libQtCore.so.4 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x1a44e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:9e9a3cee27af30655e1a88d97edad65759113eb9 0x26a2ee - libQtGui.so.4 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x17513f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x1753c8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:60a6f51b80e25a9e98504144f04cf0f991eb5c73 0x17a1b8 QCoreApplication::exec() libQtCore.so.4 -
:c3013d1597d8d94c45855e0545aa8b1f90f3bc9c 0x4380f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1221
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=myFedora
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/zsh
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/helq/.gtkrc-2.0:/home/helq/.gtkrc-2.0-kde4:/home/helq/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=helq
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-GDomePAY1187/agent.1187
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/home/helq/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/helq
:PWD=/home/helq
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/helq
:XDG_SEAT=seat0
:SHLVL=1
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Oxygen_Black
:LOGNAME=helq
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jCWgLzK8NA,guid=05efb074ff06e24a118956e000000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/helq
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/helq/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-helq/xauth-1000-_0
:CCACHE_HASHDIR=
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1307,unix/unix:/tmp/.ICE-unix/1307
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/helq/.gtkrc:/home/helq/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=myFedora;1345911496;465131;1335_TIME2133559

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31167                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31167                31167                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[18968]
:pos:	0
:flags:	00
:1:/home/helq/.xsession-errors
:pos:	42516
:flags:	0100001
:2:/home/helq/.xsession-errors
:pos:	42516
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[30452]
:pos:	0
:flags:	02004000
:5:pipe:[30452]
:pos:	0
:flags:	02004001
:6:socket:[30453]
:pos:	0
:flags:	02004002
:7:socket:[30456]
:pos:	0
:flags:	02004002
:8:socket:[32992]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 9be39ed7-3835-4581-92a1-fc019f26014e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5000.29
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q8300  @ 2.50GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2497
:System Memory: 3917
:System Swap: 5951
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.5.2-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:32902:54803) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:11826:32902:54803) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10176:32902:54803) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:32902:54803) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:32902:54803) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4401:28980:6110:28968) pci, saa7134, MULTIMEDIA, SAA7134/SAA7135HL Video Broadcast Decoder
:(32902:10200:32902:54803) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:54803) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:32902:54803) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(4332:33128:32902:54803) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9294:32902:54803) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:32902:54803) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:54803) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:32902:54803) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:32902:54803) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:54803) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:54803) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:11825:32902:54803) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_myfedora-lv_root / ext4 4096 4096 12901535 10966553 10835503 3276800 3110713 3110713
:/dev/sda3 /boot ext4 1024 1024 495844 397558 371958 128016 127653 127653
:/dev/mapper/vg_myfedora-lv_home /home ext4 4096 4096 48461183 34910093 32448397 12312576 12270771 12270771
:

var_log_messages:
:Aug 19 12:57:53 myFedora yum[4101]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 19 16:07:37 myFedora yum[1573]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 19 16:32:56 myFedora yum[1839]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 19 21:59:45 myFedora yum[6884]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 19 22:22:04 myFedora yum[7631]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 00:05:39 myFedora yum[9688]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 00:20:44 myFedora yum[9844]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 09:22:19 myFedora yum[1602]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 10:08:39 myFedora yum[1973]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 15:11:59 myFedora yum[1867]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 15:15:25 myFedora yum[1983]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 20 16:26:09 myFedora yum[1699]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 22 21:19:14 myFedora yum[6997]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 24 14:53:19 myFedora yum[2047]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 24 14:58:02 myFedora yum[2088]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 24 18:28:22 myFedora yum[4884]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 24 18:51:26 myFedora yum[5026]: Erased: hedgewars-0.9.17-3.fc17.x86_64
:Aug 24 22:52:24 myFedora yum[1676]: Installed: hedgewars-0.9.17-3.fc17.x86_64
:Aug 25 11:18:45 myFedora abrt[1789]: Saved core dump of pid 1780 (/usr/bin/hedgewars) to /var/spool/abrt/ccpp-2012-08-25-11:18:44-1780 (85061632 bytes)

xsession_errors:
:Server:  ("CONNECTED", "Hedgewars server http://www.hedgewars.org/", "1") 
:Server:  ("LOBBY:JOINED", "alluqa", "solid974", "eugeno", "ashiren", "Siberet", "Killer1024", "Daniel-4-Life", "unam3", "őzike", "Adi51", "nemoguce", "Erkit", "guess who", "Kasaron", "player974", "beharon", "generos", "Basti", "Róku", "DaLüdl", "kex", "Let´s Fail hedgewars", "mk", "Kartoffelkopf", "Big Kurl", "Ziyad", "Mission Impossible", "botman", "nemo", "qwerty01", "Hui", "САША", "electrocuth", "POLKOVNIK", "Pyroclasm", "Farinhah", "marian", "alexis-machine23", "Андрей", "yuNa", "HW17", "infocall", "Sevenkeys", "becks", "lior44", "tot", "mrhedgehog", "HedgeWarriors", "Blubb2", "Firebat", "sergiok", "dendrow", "home", "Kuchar", "Valjertschek", "kids") 
:Server:  ("SERVER_MESSAGE", "<h2><p align=center><a href="http://www.hedgewars.org/"><font color="#f0d0f0">http://www.hedgewars.org/</font></a></p></h2><p align="center"><a href="http://www.hedgewars.org/node/1312#move"><font color="yellow">How to play: http://www.hedgewars.org/node/1312#move</font></a><br />Please keep language suitable for children within the public areas of the server. Thank you.</p>") 
:Server:  ("CONNECTED", "Hedgewars server http://www.hedgewars.org/", "1") 
:Server:  ("LOBBY:JOINED", "alluqa", "solid974", "eugeno", "ashiren", "Siberet", "Killer1024", "Daniel-4-Life", "unam3", "őzike", "Adi51", "nemoguce", "Erkit", "guess who", "Kasaron", "player974", "beharon", "generos", "Basti", "Róku", "DaLüdl", "kex", "Let´s Fail hedgewars", "mk", "Kartoffelkopf", "Big Kurl", "Ziyad", "Mission Impossible", "botman", "nemo", "qwerty01", "Hui", "САША", "electrocuth", "POLKOVNIK", "Pyroclasm", "Farinhah", "marian", "alexis-machine23", "Андрей", "yuNa", "HW17", "infocall", "Sevenkeys", "becks", "lior44", "tot", "mrhedgehog", "HedgeWarriors", "Blubb2", "Firebat", "-=Z=-", "dendrow", "home", "Kuchar", "Valjertschek", "kids") 
:Server:  ("SERVER_MESSAGE", "<h2><p align=center><a href="http://www.hedgewars.org/"><font color="#f0d0f0">http://www.hedgewars.org/</font></a></p></h2><p align="center"><a href="http://www.hedgewars.org/node/1312#move"><font color="yellow">How to play: http://www.hedgewars.org/node/1312#move</font></a><br />Please keep language suitable for children within the public areas of the server. Thank you.</p>") 
:Server:  ("JOINED", "Let´s Fail hedgewars", "-=Z=-", "qwerty01", "HedgeWarriors") 
:Server:  ("CLIENT_FLAGS", "+r", "Let´s Fail hedgewars") 
:Server:  ("ADD_TEAM", "ThePolice", "money", "Hydrant", "Classic", "hedgewars", "HedgeWarriors", "0", "Officer1", "policecap", "Officer2", "policecap", "Officer3", "policecap", "Officer4", "policecap", "Officer5", "policecap", "Officer6", "policecap", "Officer7", "policecap", "Officer8", "policecap") 
:Server:  ("ADD_TEAM", "Z", "pyramid", "Cake", "Robot", "hedgewars", "-=Z=-", "0", "z1", "Sunglasses", "z2", "Sunglasses", "z3", "Sunglasses", "z4", "Sunglasses", "z5", "Sunglasses", "z6", "Sunglasses", "z7", "Sunglasses", "z8", "Sunglasses") 
:Server:  ("ADD_TEAM", "glubschi`s", "Statue", "Plane", "Mobster", "germany", "Let´s Fail hedgewars", "0", "blue", "bb_bob", "green", "bb_bub", "pink", "bb_cororon", "orange", "bb_kululun", "blue 2", "bb_bob", "green 2", "bb_bub", "pink 2", "bb_cororon", "orange 2", "bb_kululun")
Comment 1 linuxero789 2012-08-25 12:33:07 EDT
Created attachment 606998 [details]
File: backtrace
Comment 2 linuxero789 2012-08-25 12:33:09 EDT
Created attachment 606999 [details]
File: maps
Comment 3 linuxero789 2012-08-25 12:33:11 EDT
Created attachment 607000 [details]
File: dso_list
Comment 4 linuxero789 2012-08-25 12:33:13 EDT
Created attachment 607001 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 18:34:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 20:32:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.